Skip to content

GET /api/v3/digital-boards/constants/software-providers

Summary

GET /digital-boards/constants/software-providers

Description

Returns a list of software providers constants

Tags: digital-boards

Parameters

Header Parameters

Name Type Required Description Example
Authorization string ✓ Yes Bearer {AuthToken}
Content-Type string ✓ Yes application/json
Accept string ✓ Yes application/json
AppIdV3 string ✓ Yes LCUID-LAP-********-****-****-****-************

Responses

Response: 200

Description: Sample Response

Content Type: application/json

Schema

Type: object

Properties:

  • success (boolean)
  • software_providers (array)
  • Array items: string
Example Response
{
    "success": true,
    "software_providers": [
        "apparatix",
        "blip",
        "broadsign",
        "ayuda",
        "billboardplanet_quantum",
        "watchfire_ignite",
        "daktronics_visiconn",
        "formetco_control_center",
        "formetco_apx_360",
        "scala",
        "scala_lamar",
        "scala_adams",
        "lucit_playa",
        "lucit_lightning",
        "clear_channel",
        "doohclick",
        "livedooh",
        "_other",
        "_multiple",
        "_unknown"
    ]
}

Example Implementations

Bash (cURL)

curl --request GET \
    --get "https://api.lucit.app/api/v3/digital-boards/constants/software-providers" \
    --header "Authorization: Bearer {AuthToken}" \
    --header "Content-Type: application/json" \
    --header "Accept: application/json" \
    --header "AppIdV3: LCUID-LAP-********-****-****-****-************"

JavaScript (Fetch API)

const url = new URL(
    "https://api.lucit.app/api/v3/digital-boards/constants/software-providers"
);

const headers = {
    "Authorization": "Bearer {AuthToken}",
    "Content-Type": "application/json",
    "Accept": "application/json",
    "AppIdV3": "LCUID-LAP-********-****-****-****-************",
};

fetch(url, {
    method: "GET",
    headers,
}).then(response => response.json());

PHP (Guzzle)

$client = new \GuzzleHttp\Client();
$response = $client->get(
    'https://api.lucit.app/api/v3/digital-boards/constants/software-providers',
    [
        'headers' => [
            'Authorization' => 'Bearer {AuthToken}',
            'Content-Type' => 'application/json',
            'Accept' => 'application/json',
            'AppIdV3' => 'LCUID-LAP-********-****-****-****-************',
        ],
    ]
);
$body = $response->getBody();
print_r(json_decode((string) $body));

Python (Requests)

import requests
import json

url = 'https://api.lucit.app/api/v3/digital-boards/constants/software-providers'
headers = {
  'Authorization': 'Bearer {AuthToken}',
  'Content-Type': 'application/json',
  'Accept': 'application/json',
  'AppIdV3': 'LCUID-LAP-********-****-****-****-************'
}

response = requests.request('GET', url, headers=headers)
response.json()

Example Responses

200 Response

{
    "success": true,
    "software_providers": [
        "apparatix",
        "blip",
        "broadsign",
        "ayuda",
        "billboardplanet_quantum",
        "watchfire_ignite",
        "daktronics_visiconn",
        "formetco_control_center",
        "formetco_apx_360",
        "scala",
        "scala_lamar",
        "scala_adams",
        "lucit_playa",
        "lucit_lightning",
        "clear_channel",
        "doohclick",
        "livedooh",
        "_other",
        "_multiple",
        "_unknown"
    ]
}

← Back to digital-boards index | Back to main index